Subject: Re: bug#37488: 27.0.50; Inconsistent naming of arg of `text-property-search-forward' and `-backward'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Sep 2019 17:33:29 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 27 Sep 2019 16:15:47 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > But that's not what the code seems to do.  It just compares the value
> > of property in the found region with that at point.  In this example,
> > they both are "o", so the code will reject the "oo" region at the end,
> > and try to find the next one (and fail, because there's none).
> 
> No.  Once again, you can test this behaviour with this simple code:

Would you please humor me, and explain how the code does that by
walking the code itself?  I have problem understanding that from
examples, sorry for my limitations.

All I see is that the code calls text-property--match-p, and that one
just compares two values of the property.  What am I missing?